Skip to main content
POST
Update Alert
See the full list of available reason codes and their descriptions in the Reason Codes Reference.

Automatically request credit

Set automatically_request_credit to true to request and auto-grant a credit when the reason code is credit-eligible (AlreadyRefunded, AlreadyChargeback, MIDLost, ResolvedCancelled, UnmatchedCannotFindTransaction) and the merchant/alert qualify (including that the merchant is not on bill-per-resolved pricing). If a credit will not be granted, no credit request is created. When a credit is granted, the response includes credit_granted: true and credit_request_id. See Update Alert for eligibility details.

Headers

X-API-Key
string
required

Your API key. Sent in the X-API-Key header.

Path Parameters

id
string
required

Body

application/json
result
enum<string>
required
Available options:
Resolved,
ResolvedPartial,
ResolvedCancelled,
AccountCancelled,
CancellationProcessed,
UnmatchedGeneral,
UnmatchedCannotFindTransaction,
Duplicate,
MIDLost,
AlreadyRefunded,
AlreadyChargeback,
Ineligible,
TDS,
CannotCancel,
MatchedWillShip,
EscalateChargeback,
ContactedShipper,
WIP,
Error,
None,
NotMyDescriptor,
Unactioned,
action_at_expiration
boolean
default:false

When set to true, the alert will be actioned at the point of expiration rather than immediately. If the alert is actioned with a different reason code before the expiration date, this action is disregarded. Intended for sending unidentified alert updates where a manual search process is also implemented. Note: If the action code is 'resolved', this field will be disregarded and the alert will be actioned as resolved immediately.

automatically_request_credit
boolean
default:false

When true, automatically request and grant a credit if the reason code is credit-eligible (AlreadyRefunded, AlreadyChargeback, MIDLost, ResolvedCancelled, UnmatchedCannotFindTransaction) and the merchant/alert qualify (not on bill-per-resolved pricing, not RDR, alert age ≤ 7 days, no existing credit). If a credit will not be granted, no credit request is opened. When a credit is granted, the response includes credit_granted: true and credit_request_id.

Response

200 - application/json

OK. Empty object when no credit was granted; includes credit_granted when an automatic credit was issued.

credit_granted
boolean

True when a credit was automatically requested and granted for this update. Omitted when no credit was granted.

credit_request_id
string

Id of the approved credit request when credit_granted is true (same as the alert id).